Page MenuHomePhabricator

ProofreadPage spits out warning when rendering an unknown page on the command line
Closed, ResolvedPublic

Description

I'm not sure which page this is and I'm not sure if it is caused by rendering the page on the command line but we found it by indexing frwikisource for Cirrus which uses the parser from the command line. Anyway, the error message is this:

Warning: Invalid argument supplied for foreach() in /usr/local/apache/common-local/php-1.23wmf2/extensions/ProofreadPage/ProofreadPage.body.php on line 407


Version: unspecified
Severity: normal

Details

Reference
bz56669

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 2:12 AM
bzimport added a project: ProofreadPage.
bzimport set Reference to bz56669.
Tpt added a comment.Nov 7 2013, 11:31 AM

$params in list( $pagenum, $links, $mode ) = self::pageNumber( $num, $params ); (ProofreadPage.body.php line 687 has no reason to don't be null. I believe it's the cause of the error.

Change 94331 had a related patch set uploaded by Tpt:
(bug 56669) fix failure when $links = array() and $params = null

https://gerrit.wikimedia.org/r/94331

Change 94331 merged by jenkins-bot:
(bug 56669) fix failure when $links = array() and $params = null

https://gerrit.wikimedia.org/r/94331

Patch was merged; I assume this is FIXED. If not, please reopen.

GOIII moved this task from Backlog to Done on the ProofreadPage board.Jun 12 2016, 3:53 AM